org.eclipse.debug.core.model

## Interface IMemoryBlockRetrieval

All Known Subinterfaces:
  IDebugTarget, IMemoryBlockRetrievalExtension

    public interface IMemoryBlockRetrieval

Supports the retrieval of arbitrary blocks of memory.

Since:
  2.0
See Also:
  `IMemoryBlock`

### Method Summary

All Methods Instance Methods Abstract Methods
`IMemoryBlock` `getMemoryBlock(long startAddress, long length)` Returns a memory block that starts at the specified memory address, with the specified length.
`boolean` `supportsStorageRetrieval()` Returns whether this debug target supports the retrieval of memory blocks.

### Method Detail

#### supportsStorageRetrieval

    boolean supportsStorageRetrieval()

Returns whether this debug target supports the retrieval of memory blocks.

Returns:
  whether this debug target supports the retrieval of memory blocks

#### getMemoryBlock

    IMemoryBlock getMemoryBlock(long startAddress,
                                long length)
                         throws DebugException

Returns a memory block that starts at the specified memory address, with the specified length.

Parameters:
  `startAddress` - starting address
  `length` - length of the memory block in bytes
Returns:
  a memory block that starts at the specified memory address, with the specified length
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.
  - This debug target does not support memory block retrieval
  - The specified address and length are not within valid ranges